/*!
 * bootstrap-fileinput v4.5.2
 * http://plugins.krajee.com/file-input
 *
 * ET360 custom file upload theme that takes icons from global window variables instead of being hard-coded.
 *
 * Author: Kartik Visweswaran
 * Copyright: 2014 - 2018, Kartik Visweswaran, Krajee.com
 *
 * Licensed under the BSD 3-Clause
 * https://github.com/kartik-v/bootstrap-fileinput/blob/master/LICENSE.md
 */
(function ($) {
    "use strict";

    $.fn.fileinputThemes.et360 = {
        fileActionSettings: {
            removeIcon: '<i class="' + window.globals.icons.remove + '"></i>',
            uploadIcon: '<i class="' + window.globals.icons.upload + '"></i>',
            uploadRetryIcon: '<i class="' + window.globals.icons.redo + '"></i>',
            downloadIcon: '<i class="' + window.globals.icons.download + '"></i>',
            zoomIcon: '<i class="' + window.globals.icons.zoom + '"></i>',
            dragIcon: '<i class="' + window.globals.icons.drag + '"></i>',
            indicatorNew: '<i class="' + window.globals.icons.add + ' text-warning"></i>',
            indicatorSuccess: '<i class="' + window.globals.icons.complete + ' text-success"></i>',
            indicatorError: '<i class="' + window.globals.icons.missingInput + ' text-danger"></i>',
            indicatorLoading: '<i class="' + window.globals.icons.loading + ' text-muted"></i>'
        },
        layoutTemplates: {
            fileIcon: '<i class="' + window.globals.icons.file + ' kv-caption-icon"></i> '
        },
        previewZoomButtonIcons: {
            prev: '<i class="' + window.globals.icons.navigationPrevious + ' fa-lg"></i>',
            next: '<i class="' + window.globals.icons.navigationNext + ' fa-lg"></i>',
            toggleheader: '<i class="et-icon-fw ' + window.globals.icons.fileinputToggleHeader + '"></i>',
            fullscreen: '<i class="et-icon-fw ' + window.globals.icons.fullscreen + '"></i>',
            borderless: '<i class="et-icon-fw ' + window.globals.icons.borderless + '"></i>',
            close: '<i class="et-icon-fw ' + window.globals.icons.close + '"></i>'
        },
        previewFileIcon: '<i class="' + window.globals.icons.file + '"></i>',
        browseIcon: '<i class="' + window.globals.icons.browse + '"></i>',
        removeIcon: '<i class="' + window.globals.icons.remove + '"></i>',
        cancelIcon: '<i class="' + window.globals.icons.cancel + '"></i>',
        uploadIcon: '<i class="' + window.globals.icons.upload + '"></i>',
        msgValidationErrorIcon: '<i class="' + window.globals.icons.missingInput + '"></i> '
    };
})(window.jQuery);
