{block name='layout-header-shop-nav-account'}
    {$idPostFix=$idPostFix|default:''}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    <div class="nav-item dropdown account-icon-dropdown" aria-expanded="false">
        {block name='layout-header-shop-nav-account-nav-link'}
            <a class="nav-link nav-link-custom"
                href="#"
                data-toggle="dropdown"
                aria-haspopup="true"
                aria-expanded="false"
                role="button"
                aria-label="{lang key='myAccount'}"
            >
                <span class="{et_getIcon key='login'}"></span>
            </a>
        {/block}

        {block name='layout-header-shop-nav-account-dropdown-menu'}
            <div class="dropdown-menu dropdown-menu-right">

                {if JTL\Session\Frontend::getCustomer()->getID() === 0}
                    {block name='layout-header-shop-nav-account-logged-out'}
                        <div class="dropdown-body lg-min-w-lg">
                            {form action="{get_static_route id='jtl.php' secure=true}" method="post" class="jtl-validate" slide=true}
                                {block name='layout-header-shop-nav-account-form-content'}
                                    <fieldset id="quick-login{$idPostFix}" class="quick_login quick-login"> {* quick_login is used for backwards compatibility *}
                                        {block name='layout-header-nav-account-form-email'}
                                            {formgroup label-for="email_quick" label={lang key='emailadress'}}
                                                <input type="email" name="email" id="email_quick{$idPostFix}" class="form-control form-control-sm"
                                                    placeholder=" "
                                                    autocomplete="email" />
                                            {/formgroup}
                                        {/block}
                                        {block name='layout-header-nav-account-form-password'}
                                            {formgroup label-for="password_quick" label={lang key='password'} class="account-icon-dropdown-pass"}
                                                <input type="password" name="passwort" id="password_quick{$idPostFix}" class="form-control form-control-sm"
                                                    required placeholder=" "
                                                    autocomplete="current-password" />
                                            {/formgroup}
                                        {/block}
                                        {block name='layout-header-nav-account-form-captcha'}
                                            {if isset($showLoginCaptcha) && $showLoginCaptcha}
                                                {formgroup class="simple-captcha-wrapper"}
                                                    {captchaMarkup getBody=true}
                                                {/formgroup}
                                            {/if}
                                        {/block}
                                        {block name='layout-header-shop-nav-account-form-submit'}
                                            {formgroup}
                                                <input type="hidden" name="login" value="1" />
                                                {if !empty($oRedirect->cURL)}
                                                    {foreach $oRedirect->oParameter_arr as $oParameter}
                                                        <input type="hidden" name="{$oParameter->Name}" value="{$oParameter->Wert}" />
                                                    {/foreach}
                                                    <input type="hidden" name="r" value="{$oRedirect->nRedirect}" />
                                                    <input type="hidden" name="cURL" value="{$oRedirect->cURL}" />
                                                {/if}
                                                {include file="widgets/base/button.tpl" type="submit" variant="primary" classes="btn-sm btn-block" id="submit-btn{$idPostFix}" label="{lang key='login'}"}
                                            {/formgroup}
                                        {/block}
                                    </fieldset>
                                {/block}
                            {/form}
                            {block name='layout-header-nav-account-link-forgot-password'}
                                <a href="{get_static_route id='pass.php'}" rel="nofollow" title="{lang key='forgotPassword'}">
                                    {lang key='forgotPassword'}
                                </a>
                            {/block}
                            {block name='layout-header-nav-amazonpay-login-placeholder'}
                                <div id="amapay-login-dropdown{$idPostFix}" class="amapay-login-dropdown"></div>
                            {/block}
                        </div>
                        {block name='layout-header-nav-account-link-register'}
                            <div class="dropdown-footer">
                                {lang key='newHere'}
                                <a href="{get_static_route id='registrieren.php'}" rel="nofollow" title="{lang key='registerNow'}">
                                    {lang key='registerNow'}
                                </a>
                            </div>
                        {/block}
                    {/block}
                {else}
                    {block name='layout-header-shop-nav-account-logged-in'}
                        {get_static_route id='jtl.php' secure=true assign='secureAccountURL'}
                        <a target="_self" class="dropdown-item" href="{$secureAccountURL}" rel="nofollow" title="{lang key='myAccount'}">
                            {lang key='myAccount'}
                        </a>
                        <a target="_self" class="dropdown-item" href="{$secureAccountURL}?bestellungen=1" rel="nofollow" title="{lang key='myAccount'}">
                            {lang key='myOrders'}
                        </a>
                        <a target="_self" class="dropdown-item" href="{$secureAccountURL}?editRechnungsadresse=1" rel="nofollow" title="{lang key='myAccount'}">
                            {lang key='myPersonalData'}
                        </a>
                        {if $shopIsAtLeast52}
                            <a target="_self" class="dropdown-item" href="{$secureAccountURL}?editLieferadresse=1" rel="nofollow" title="{lang key='myShippingAddresses'}">
                                {lang key='myShippingAddresses'}
                            </a>
                        {/if}
                        {if $Einstellungen.global.global_wunschliste_anzeigen === 'Y'}
                            <a target="_self" class="dropdown-item" href="{$secureAccountURL}#my-wishlists" rel="nofollow" title="{lang key='myAccount'}">
                                {lang key='myWishlists'}
                            </a>
                        {/if}
                        {if $Einstellungen.vergleichsliste.vergleichsliste_anzeigen === 'Y'}
                            <a target="_self" class="dropdown-item" href="{get_static_route id='vergleichsliste.php'}" title="{lang key='myCompareList'}">
                                {lang key='myCompareList'}
                            </a>
                        {/if}
                        <div role="separator" class="dropdown-divider"></div>
                        <a target="_self" href="{$secureAccountURL}?logout=1" rel="nofollow" title="{lang key='logOut'}" class="dropdown-item account-icon-dropdown-logout">
                            {lang key='logOut'}
                        </a>
                    {/block}
                {/if}
            </div>
        {/block}
    </div>
{/block}
