{block name='snippets-notification'}
    <div class="card snippets-notification clearfix {if isset($inline)} m-0{/if}">
        {if isset($title)}
            <div class="card-header">
                {block name='snippets-notification-title'}
                    {$title}
                {/block}
            </div>
        {/if}

        <div class="card-body notification-alert bg-{if isset($type)}{$type}{else}info{/if}">
            {block name='snippets-notification-body'}
                {$body}
            {/block}
        </div>

        {if isset($buttons)}
            <div class="card-footer">
                {block name='snippets-notification-footer'}
                    <div class="button-group d-block">
                        {foreach $buttons as $button}
                            <a
                                href="{get_static_route id=$button->href}"
                                class="btn{if isset($button->primary) && $button->primary} btn-primary{else} btn-primary{/if}"
                                data-dismiss="{if isset($button->dismiss)}{$button->dismiss}{/if}"
                                aria-label="{if isset($button->dismiss)}Close{/if}"
                            >
                                {block name='snippets-notification-footer-button'}
                                    {if isset($button->fa)}<i class="fa fab fas far {$button->fa}"></i>{/if}
                                    {$button->title}
                                {/block}
                            </a>
                        {/foreach}
                    </div>
                {/block}
            </div>
        {/if}
    </div>
{/block}
