## Custom Widget php classes should go in here.

They must:
- follow the naming convention **CustomWidget**Example
- be in the `namespace Template\easytemplate360\src\CustomWidgets` 
- should extend from the `BaseCustomWidget.php`
- must implement the `prepareSmarty()` method in which they can fill `$this->smartyConfig` from `$this->config`

See `CustomWidgetExample.php` for a working example and how to use helper resolver functions to map configurations from the plugin backend into values to be used in Smarty.

### Registering your custom widget class file

**Remember to register your class files when you are using custom widgets in child templates! Else the widget will not be displayed!** 

To register your class, perform this call in the `boot()` function of your child template's `Bootstrap.php`:

`$this->registerCustomWidgetClassFile(__DIR__ . '/src/CustomWidgets/CustomWidgetExample.php');`