{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_Spacing.customColorsEnabled ||
            !$et_Spacing.ignoreHorizontalPadding && (
                !empty($et_Spacing.partingLineWidth.xs) ||
                !empty($et_Spacing.partingLineWidth.sm) ||
                !empty($et_Spacing.partingLineWidth.md) ||
                !empty($et_Spacing.partingLineWidth.lg) ||
                !empty($et_Spacing.partingLineWidth.xl)
            ) ||
            !empty($et_Spacing.partingLineHeight.xs) ||
            !empty($et_Spacing.partingLineHeight.sm) ||
            !empty($et_Spacing.partingLineHeight.md) ||
            !empty($et_Spacing.partingLineHeight.lg) ||
            !empty($et_Spacing.partingLineHeight.xl)
        }
            <style type="text/css">
                {if $et_Spacing.customColorsEnabled && !empty($et_Spacing.colorPartingLine)}
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                         background-color: {$et_Spacing.colorPartingLine};
                    }
                {/if}
                {if !$et_Spacing.ignoreHorizontalPadding}
                    {if !empty($et_Spacing.partingLineWidth.xs)}
                    @media (max-width: {$et_global.breakpoints.xsMax}px) {
                        #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                            width: {$et_Spacing.partingLineWidth.xs};
                        }
                    }
                    {/if}
                    {if !empty($et_Spacing.partingLineWidth.sm)}
                    @media (min-width: {$et_global.breakpoints.smMin}px) and (max-width: {$et_global.breakpoints.smMax}px) {
                        #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                            width: {$et_Spacing.partingLineWidth.sm};
                        }
                    }
                    {/if}
                    {if !empty($et_Spacing.partingLineWidth.md)}
                    @media (min-width: {$et_global.breakpoints.mdMin}px) and (max-width: {$et_global.breakpoints.mdMax}px) {
                        #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                            width: {$et_Spacing.partingLineWidth.md};
                        }
                    }
                    {/if}
                    {if !empty($et_Spacing.partingLineWidth.lg)}
                    @media (min-width: {$et_global.breakpoints.lgMin}px) and (max-width: {$et_global.breakpoints.lgMax}px) {
                        #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                            width: {$et_Spacing.partingLineWidth.lg};
                        }
                    }
                    {/if}
                    {if !empty($et_Spacing.partingLineWidth.xl)}
                    @media (min-width: {$et_global.breakpoints.xlMin}px) {
                        #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                            width: {$et_Spacing.partingLineWidth.xl};
                        }
                    }
                    {/if}
                {/if}
                {if !empty($et_Spacing.partingLineHeight.xs)}
                @media (max-width: {$et_global.breakpoints.xsMax}px) {
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                        height: {$et_Spacing.partingLineHeight.xs};
                    }
                }
                {/if}
                {if !empty($et_Spacing.partingLineHeight.sm)}
                @media (min-width: {$et_global.breakpoints.smMin}px) and (max-width: {$et_global.breakpoints.smMax}px)  {
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                        height: {$et_Spacing.partingLineHeight.sm};
                    }
                }
                {/if}
                {if !empty($et_Spacing.partingLineHeight.md)}
                @media (min-width: {$et_global.breakpoints.mdMin}px) and (max-width: {$et_global.breakpoints.mdMax}px)  {
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                        height: {$et_Spacing.partingLineHeight.md};
                    }
                }
                {/if}
                {if !empty($et_Spacing.partingLineHeight.lg)}
                @media (min-width: {$et_global.breakpoints.lgMin}px) and (max-width: {$et_global.breakpoints.lgMax}px)  {
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                        height: {$et_Spacing.partingLineHeight.lg};
                    }
                }
                {/if}
                {if !empty($et_Spacing.partingLineHeight.xl)}
                @media (min-width: {$et_global.breakpoints.xlMin}px)  {
                    #{$et_BaseWidget.cssId} .et-spacing-parting-line {
                        height: {$et_Spacing.partingLineHeight.xl};
                    }
                }
                {/if}
            </style>
        {/if}
    {/block}
    {block name="et-widget-container-inner"}
        <div class="et-spacing-wrapper{if $et_Spacing.ignoreHorizontalPadding} et-spacing-no-horizontal-padding{/if}">
            {if $et_Spacing.displayPartingLine}
                <div class="et-spacing-parting-line et-align-horizontal-{$et_Spacing.alignmentHorizontal}"></div>
            {/if}
        </div>
    {/block}
{/strip}